### Hierarchy

- NonEmptyRowProps

## Index

### Properties

- cells
- childPath
- enableDown
- enableUp
- enabled
- moveDown
- moveUp
- rowIndex
- schema
- showSortButtons

## Properties

### Optional cells

cells: JsonFormsCellRendererRegistryEntry[]

- Defined in packages/material/src/complex/MaterialTableControl.tsx:252

### childPath

childPath: string

- Defined in packages/material/src/complex/MaterialTableControl.tsx:243

### enableDown

enableDown: boolean

- Defined in packages/material/src/complex/MaterialTableControl.tsx:249

### enableUp

enableUp: boolean

- Defined in packages/material/src/complex/MaterialTableControl.tsx:248

### enabled

enabled: boolean

- Defined in packages/material/src/complex/MaterialTableControl.tsx:251

### moveDown

moveDown: () => void

- Defined in packages/material/src/complex/MaterialTableControl.tsx:247

#### Type declaration

- - (): void

  - #### Returns void

### moveUp

moveUp: () => void

- Defined in packages/material/src/complex/MaterialTableControl.tsx:246

#### Type declaration

- - (): void

  - #### Returns void

### rowIndex

rowIndex: number

- Defined in packages/material/src/complex/MaterialTableControl.tsx:245

### schema

schema: JsonSchema

- Defined in packages/material/src/complex/MaterialTableControl.tsx:244

### showSortButtons

showSortButtons: boolean

- Defined in packages/material/src/complex/MaterialTableControl.tsx:250

Generated using TypeDoc